{"openapi":"3.1.0","info":{"title":"GET /api/v1/ap-approval/vendor/{vendor_id}/history","version":"1.0.0","description":"Vendor payment history"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/ap-approval/vendor/{vendor_id}/history":{"get":{"tags":["ap-approval"],"summary":"Vendor payment history","description":"Return recent bill history for a vendor to provide context at approval time.","operationId":"get_vendor_history_api_v1_ap_approval_vendor__vendor_id__history_get","parameters":[{"name":"vendor_id","in":"path","required":true,"schema":{"type":"string","title":"Vendor Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":50,"minimum":1,"description":"Number of recent bills to return.","default":10,"title":"Limit"},"description":"Number of recent bills to return."},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorHistoryResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VendorHistoryBill":{"properties":{"id":{"type":"string","title":"Id","description":"Bill UUID."},"amount":{"type":"integer","title":"Amount","description":"Bill amount in cents."},"status":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status","description":"Bill status."},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Bill description."},"bill_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bill Number","description":"Vendor-issued bill number."},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Created At","description":"ISO timestamp when the bill was created."}},"type":"object","required":["id","amount"],"title":"VendorHistoryBill","description":"A single bill in a vendor's payment history."},"VendorHistoryResponse":{"properties":{"vendor_id":{"type":"string","title":"Vendor Id","description":"Vendor UUID."},"vendor_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vendor Name","description":"Resolved vendor name."},"recent_bills":{"items":{"$ref":"#/components/schemas/VendorHistoryBill"},"type":"array","title":"Recent Bills","description":"Most recent bills from this vendor (newest first)."},"total_paid_cents":{"type":"integer","title":"Total Paid Cents","description":"Sum of paid bill amounts in cents (status = paid).","default":0},"bill_count":{"type":"integer","title":"Bill Count","description":"Total number of bills from this vendor.","default":0}},"type":"object","required":["vendor_id"],"title":"VendorHistoryResponse","description":"Response for ``GET /ap-approval/vendor/{vendor_id}/history``."}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}